Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.admin.ejb
Interface DelegatedAdminManager

All Superinterfaces:
  EJBObject, Remote

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface DelegatedAdminManager
extends EJBObject

Handles all delegated admin functionality.

Method Summary
`void` | `addGroupAdmin(ProfileIdentity delegateeUser, GroupPortal groupPortal)` Deprecated. Adds a GroupAdmin for a given GroupPortal
`void` | `addPortalAdmin(ProfileIdentity delegateeUser, PortalIdentifier portalIdentifier, List groupPortals)` Deprecated. Adds a PortalAdmin for a given Portal
`boolean` | `canAdministerGroupPortal(ProfileIdentity delegateeUser, GroupPortal groupPortal)` Deprecated. Returns true if the calling Admin is an (SA), (PA with assoc to Portal), or (GA with assoc to GroupPortal)
`boolean` | `canAdministerPortal(ProfileIdentity delegateeUser, PortalIdentifier portalId)` Deprecated. Returns true if the calling Admin is an (SA) or (PA with assoc to Portal)
`boolean` | `canDelegateGroupAdmin(ProfileIdentity delegateeUser, GroupPortal groupPortal)` Deprecated. Returns true if the calling Admin has at least at least 1 delegate capability for the given Portal
`boolean` | `canDelegatePortalAdmin(ProfileIdentity delegateeUser, PortalIdentifier portalId)` Deprecated. Returns true if the Admin has at least at least 1 delegate capability for the given Portal
`void` | `copyGroupAdminEntitlements(ProfileIdentity delegateeUser, GroupPortal sourceGroupPortal, GroupPortal destinationGroupPortal)` Deprecated. Copy the complete set of capabilities for a given user (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used to copy capabilities for a user
`void` | `copyPortalAdminEntitlements(ProfileIdentity delegateeUser, PortalIdentifier sourcePortalId, PortalIdentifier destinationPortalId)` Deprecated. Copy the complete set of capabilities for a given user (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used to copy capabilities for a user
`List` | `getGroupAdminEligibleUsers(GroupPortal groupPortal)` Deprecated. Retrieve admin eligible usernames for an SA, PA or GA to choose from when creating a GA for a GroupPortal.
`List` | `getGroupAdmins(GroupPortal groupPortal)` Deprecated. Get all GroupAdmin usernames for a GroupPortal for an SA, PA or GA to manage.
`List` | `getPortalAdminEligibleGroupAdmins(PortalIdentifier portalId, List groupPortals)` Deprecated. Retrieve admin eligible existing GroupAdmin user names for an SA or PA to choose from when promoting a GA to a PA for a Portal.
`List` | `getPortalAdminEligibleUsers(PortalIdentifier portalIdentifier, List groupPortals)` Deprecated. Retrieve admin eligible user names for an SA or PA to choose from when creating a PA for a Portal.
`List` | `getPortalAdmins(PortalIdentifier portalId)` Deprecated. Get all PortalAdmin usernames for a Portal for an SA or PA to manage (Note: Only PA's will be returned.
`boolean` | `isAdmin(ProfileIdentity delegateeUser)` Deprecated. Returns true if the given user is an admin for ANY resource
`boolean` | `isAdminEligible(String userName)` Deprecated. Returns true if the given user is a member of the group for users who are elibible to be delegated administrators (usually "AdminEligible", but can be overridden with an env-entry.
`boolean` | `isAdminGroup(String userGroup)` Deprecated. Returns true if the given user group is an admin or admin eligible group
`boolean` | `isDelegatedAdmin(String userName)` Deprecated. Returns true if the given user is a member of the group for assigned delegated administrators (usually "DelegatedAdministrator", but can be overridden with an env-entry.
`boolean` | `isGroupAdminAccessAllowed(ProfileIdentity delegateeUser, GroupPortal groupPortal, String resourceType, String adminTask, String capabilityKey)` Deprecated. Retrieve a capability for a given key (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used by the UI to retrieve capabilities for a user during a capability edit
`boolean` | `isMemberOf(String userGroupName, String userName)` Deprecated. Returns true if the given user is a member of the given group
`boolean` | `isPortalAdminAccessAllowed(ProfileIdentity delegateeUser, PortalIdentifier portalId, String resourceType, String adminTask, String capabilityKey)` Deprecated. Retrieve a capability for a given key (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used by the UI to retrieve capabilities for a user during a capability edit
`boolean` | `isPortalSystemAdmin(String userName)` Deprecated. Returns true if the given user is a member of the group for Portal System Administrators (usually "SystemAdministrator", but can be overridden with an env-entry.
`boolean` | `isWritableRealm()` Deprecated. Checks if the underlying user realm is writable or not
`void` | `removeGroupAdmin(ProfileIdentity delegateeUser, GroupPortal groupPortal)` Deprecated. Removes a GroupAdmin from a given GroupPortal
`void` | `removeGroupAdminEntitlements(ProfileIdentity delegateeUser, GroupPortal groupPortal)` Deprecated. Remove the complete set of capabilities for a given user (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used to copy capabilities for a user
`void` | `removePortalAdmin(ProfileIdentity delegateeUser, PortalIdentifier portalIdentifier)` Deprecated. Removes a PortalAdmin from a given Portal
`void` | `removePortalAdminEntitlements(ProfileIdentity delegateeUser, PortalIdentifier portalId)` Deprecated. Remove the complete set of capabilities for a given user (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used to copy capabilities for a user
`void` | `setGroupAdminAccessAllowed(ProfileIdentity delegateeUser, GroupPortal groupPortal, String resourceType, String adminTask, String capabilityKey, boolean capabilityValue)` Deprecated. Set a capability for a given task and capability (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used by the UI to set capabilities for a user during a capability edit
`void` | `setPortalAdminAccessAllowed(ProfileIdentity delegateeUser, PortalIdentifier portalId, String resourceType, String adminTask, String capabilityKey, boolean capabilityValue)` Deprecated. Set a capability for a given task and capability (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used by the UI to set capabilities for a user during a capability edit

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### addGroupAdmin

    public void addGroupAdmin(ProfileIdentity delegateeUser,
                              GroupPortal groupPortal)
                       throws RealmNotWritableAddException,
                              RemoteException

  Deprecated.
  Adds a GroupAdmin for a given GroupPortal

  Parameters:
    `delegateeUser` - the user to add as an GroupAdmin
    `groupPortal` - the GroupPortal to administer
  Throws:
    `RemoteException` - because of EJB contract
    `RealmNotWritableAddException` - thrown if the underlying realm is not writable (ie. LDAP)
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### addPortalAdmin

    public void addPortalAdmin(ProfileIdentity delegateeUser,
                               PortalIdentifier portalIdentifier,
                               List groupPortals)
                        throws RealmNotWritableAddException,
                               RemoteException

  Deprecated.
  Adds a PortalAdmin for a given Portal

  Parameters:
    `delegateeUser` - the user to add as an Admin
    `portalIdentifier` - the PortalIdentifier of the Portal to administer
    `groupPortals` - all Group Portals for the Portal - required if GA -> PA promotion is being performed
  Throws:
    `RemoteException` - because of EJB contract
    `RealmNotWritableAddException` - thrown if the underlying realm is not writable (ie. LDAP) during add operation
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### canAdministerGroupPortal

    public boolean canAdministerGroupPortal(ProfileIdentity delegateeUser,
                                            GroupPortal groupPortal)
                                     throws RemoteException

  Deprecated.
  Returns true if the calling Admin is an (SA), (PA with assoc to Portal), or (GA with assoc to GroupPortal)

  Parameters:
    `delegateeUser` - the delegatee admin user to check
    `groupPortal` - the GroupPortal
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### canAdministerPortal

    public boolean canAdministerPortal(ProfileIdentity delegateeUser,
                                       PortalIdentifier portalId)
                                throws RemoteException

  Deprecated.
  Returns true if the calling Admin is an (SA) or (PA with assoc to Portal)

  Parameters:
    `delegateeUser` - the delegatee admin user to check
    `portalId` - the Portal
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### canDelegateGroupAdmin

    public boolean canDelegateGroupAdmin(ProfileIdentity delegateeUser,
                                         GroupPortal groupPortal)
                                  throws RemoteException

  Deprecated.
  Returns true if the calling Admin has at least at least 1 delegate capability for the given Portal

  Parameters:
    `delegateeUser` - the delegatee admin user to check
    `groupPortal` - the GroupPortal
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### canDelegatePortalAdmin

    public boolean canDelegatePortalAdmin(ProfileIdentity delegateeUser,
                                          PortalIdentifier portalId)
                                   throws RemoteException

  Deprecated.
  Returns true if the Admin has at least at least 1 delegate capability for the given Portal

  Parameters:
    `delegateeUser` - the delegatee admin user to check
    `portalId` - the Portal
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### copyGroupAdminEntitlements

    public void copyGroupAdminEntitlements(ProfileIdentity delegateeUser,
                                           GroupPortal sourceGroupPortal,
                                           GroupPortal destinationGroupPortal)
                                    throws RemoteException

  Deprecated.
  Copy the complete set of capabilities for a given user (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used to copy capabilities for a user

  Parameters:
    `delegateeUser` - the delegatee admin user to set capabilities
    `sourceGroupPortal` - the source GroupPortal
    `destinationGroupPortal` - the destination GroupPortal
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### copyPortalAdminEntitlements

    public void copyPortalAdminEntitlements(ProfileIdentity delegateeUser,
                                            PortalIdentifier sourcePortalId,
                                            PortalIdentifier destinationPortalId)
                                     throws RemoteException

  Deprecated.
  Copy the complete set of capabilities for a given user (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used to copy capabilities for a user

  Parameters:
    `delegateeUser` - the delegatee admin user to set capabilities
    `sourcePortalId` - the source PortalIdentifier
    `destinationPortalId` - the destination PortalIdentifier
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getGroupAdminEligibleUsers

    public List getGroupAdminEligibleUsers(GroupPortal groupPortal)
                                    throws RemoteException

  Deprecated.
  Retrieve admin eligible usernames for an SA, PA or GA to choose from when creating a GA for a GroupPortal.

  Parameters:
    `groupPortal` - the GroupPortal
  Returns:
    list of usernames (String)
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getGroupAdmins

    public List getGroupAdmins(GroupPortal groupPortal)
                        throws RemoteException

  Deprecated.
  Get all GroupAdmin usernames for a GroupPortal for an SA, PA or GA to manage. (Note: Only GA's will be returned. For PAs, use the getPortalAdmins()

  Parameters:
    `groupPortal` - the GroupPortal
  Returns:
    list of GroupAdmin Users
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getPortalAdminEligibleGroupAdmins

    public List getPortalAdminEligibleGroupAdmins(PortalIdentifier portalId,
                                                  List groupPortals)
                                           throws RemoteException

  Deprecated.
  Retrieve admin eligible existing GroupAdmin user names for an SA or PA to choose from when promoting a GA to a PA for a Portal.

  Parameters:
    `groupPortals` - list of all Group Portal objects for the given Portal
  Returns:
    list of usernames (String)
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getPortalAdminEligibleUsers

    public List getPortalAdminEligibleUsers(PortalIdentifier portalIdentifier,
                                            List groupPortals)
                                     throws RemoteException

  Deprecated.
  Retrieve admin eligible user names for an SA or PA to choose from when creating a PA for a Portal. Note: This method will NOT return existing GroupAdmins for the Portal. Use the getPortalAdminEligibleGroupAdmins() method for each to obtain that list separately if "promotion" is supported.

  Parameters:
    `portalIdentifier` - the PortalIdentifier of the Portal
    `groupPortals` - list of all Group Portal objects for the given Portal
  Returns:
    list of usernames (String)
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getPortalAdmins

    public List getPortalAdmins(PortalIdentifier portalId)
                         throws RemoteException

  Deprecated.
  Get all PortalAdmin usernames for a Portal for an SA or PA to manage (Note: Only PA's will be returned. SAs are managed outside of the portal tools as they have full-control.

  Parameters:
    `portalId` - the PortalIdentifier
  Returns:
    list of PortalAdmin Users
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### isAdmin

    public boolean isAdmin(ProfileIdentity delegateeUser)
                    throws RemoteException

  Deprecated.
  Returns true if the given user is an admin for ANY resource

  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `IllegalArgumentException` - if the arguments are not valid

### isAdminEligible

    public boolean isAdminEligible(String userName)
                            throws RemoteException

  Deprecated.
  Returns true if the given user is a member of the group for users who are elibible to be delegated administrators (usually "AdminEligible", but can be overridden with an env-entry.

  Parameters:
    `userName` - the user name
  Throws:
    `RemoteException` - because of EJB contract

### isAdminGroup

    public boolean isAdminGroup(String userGroup)
                         throws RemoteException

  Deprecated.
  Returns true if the given user group is an admin or admin eligible group

  Parameters:
    `userGroup` - the User Group
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `IllegalArgumentException` - if the arguments are not valid

### isDelegatedAdmin

    public boolean isDelegatedAdmin(String userName)
                             throws RemoteException

  Deprecated.
  Returns true if the given user is a member of the group for assigned delegated administrators (usually "DelegatedAdministrator", but can be overridden with an env-entry.

  Parameters:
    `userName` - the user name
  Throws:
    `RemoteException` - because of EJB contract

### isGroupAdminAccessAllowed

    public boolean isGroupAdminAccessAllowed(ProfileIdentity delegateeUser,
                                             GroupPortal groupPortal,
                                             String resourceType,
                                             String adminTask,
                                             String capabilityKey)
                                      throws RemoteException

  Deprecated.
  Retrieve a capability for a given key (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used by the UI to retrieve capabilities for a user during a capability edit

  Parameters:
    `delegateeUser` - the delegatee admin user to set capabilities
    `groupPortal` - the GroupPortal
    `resourceType` - the type of resource - see either PortalAdminTaskResourceConstants or PortalEntitlementResourceConstants * @param adminTask the adminTask
    `capabilityKey` - the key to set a capability
  Returns:
    capabilityValue the value of the capability
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### isMemberOf

    public boolean isMemberOf(String userGroupName,
                              String userName)
                       throws RemoteException

  Deprecated.
  Returns true if the given user is a member of the given group

  Parameters:
    `userGroupName` - the user group name
    `userName` - the user name
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `IllegalArgumentException` - if the arguments are not valid

### isPortalAdminAccessAllowed

    public boolean isPortalAdminAccessAllowed(ProfileIdentity delegateeUser,
                                              PortalIdentifier portalId,
                                              String resourceType,
                                              String adminTask,
                                              String capabilityKey)
                                       throws RemoteException

  Deprecated.
  Retrieve a capability for a given key (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used by the UI to retrieve capabilities for a user during a capability edit

  Parameters:
    `delegateeUser` - the delegatee admin user to set capabilities
    `portalId` - the PortalIdentifier
    `resourceType` - the type of resource - see either PortalAdminTaskResourceConstants or PortalEntitlementResourceConstants
    `adminTask` - the adminTask
    `capabilityKey` - the key to set a capability
  Returns:
    capabilityValue the value of the capability
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### isPortalSystemAdmin

    public boolean isPortalSystemAdmin(String userName)
                                throws RemoteException

  Deprecated.
  Returns true if the given user is a member of the group for Portal System Administrators (usually "SystemAdministrator", but can be overridden with an env-entry.

  Parameters:
    `userName` - the user name
  Throws:
    `RemoteException` - because of EJB contract

### isWritableRealm

    public boolean isWritableRealm()
                            throws RemoteException

  Deprecated.
  Checks if the underlying user realm is writable or not

  Returns:
    true if realm is writable
  Throws:
    `RemoteException`

### removeGroupAdmin

    public void removeGroupAdmin(ProfileIdentity delegateeUser,
                                 GroupPortal groupPortal)
                          throws RemoteException

  Deprecated.
  Removes a GroupAdmin from a given GroupPortal

  Parameters:
    `delegateeUser` - the user to remove as a PortalAdmin
    `groupPortal` - the GroupPortal to administer
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### removeGroupAdminEntitlements

    public void removeGroupAdminEntitlements(ProfileIdentity delegateeUser,
                                             GroupPortal groupPortal)
                                      throws RemoteException

  Deprecated.
  Remove the complete set of capabilities for a given user (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used to copy capabilities for a user

  Parameters:
    `delegateeUser` - the delegatee admin user to set capabilities
    `groupPortal` - the GroupPortal
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### removePortalAdmin

    public void removePortalAdmin(ProfileIdentity delegateeUser,
                                  PortalIdentifier portalIdentifier)
                           throws RemoteException

  Deprecated.
  Removes a PortalAdmin from a given Portal

  Parameters:
    `delegateeUser` - the user to remove as a PortalAdmin
    `portalIdentifier` - the PortalIdentifier of the Portal to administer
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### removePortalAdminEntitlements

    public void removePortalAdminEntitlements(ProfileIdentity delegateeUser,
                                              PortalIdentifier portalId)
                                       throws RemoteException

  Deprecated.
  Remove the complete set of capabilities for a given user (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used to copy capabilities for a user

  Parameters:
    `delegateeUser` - the delegatee admin user to set capabilities
    `portalId` - the PortalIdentifier
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### setGroupAdminAccessAllowed

    public void setGroupAdminAccessAllowed(ProfileIdentity delegateeUser,
                                           GroupPortal groupPortal,
                                           String resourceType,
                                           String adminTask,
                                           String capabilityKey,
                                           boolean capabilityValue)
                                    throws RemoteException

  Deprecated.
  Set a capability for a given task and capability (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used by the UI to set capabilities for a user during a capability edit

  Parameters:
    `delegateeUser` - the delegatee admin user to set capabilities
    `groupPortal` - the GroupPortal
    `resourceType` - the type of resource - see either PortalAdminTaskResourceConstants or PortalEntitlementResourceConstants
    `adminTask` - the adminTask
    `capabilityKey` - the key to set a capability
    `capabilityValue` - the value of the capability
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### setPortalAdminAccessAllowed

    public void setPortalAdminAccessAllowed(ProfileIdentity delegateeUser,
                                            PortalIdentifier portalId,
                                            String resourceType,
                                            String adminTask,
                                            String capabilityKey,
                                            boolean capabilityValue)
                                     throws RemoteException

  Deprecated.
  Set a capability for a given task and capability (Note: Constants can be found in com.bea.portal.entitlement.resource.PortalAdminTaskResourceConstants) This method is used by the UI to set capabilities for a user during a capability edit

  Parameters:
    `delegateeUser` - the delegatee admin user to set capabilities
    `portalId` - the PortalIdentifier
    `resourceType` - the type of resource - see either PortalAdminTaskResourceConstants or PortalEntitlementResourceConstants
    `adminTask` - the adminTask
    `capabilityKey` - the key to set a capability
  Returns:
    capabilityValue the value of the capability
  Throws:
    `RemoteException` - because of EJB contract
    `DelegatedAdminSystemException` - if there is a system exception
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved